Subject: [FFML] [yyh][ry][xover][sort-of repost] Youtou Shinnoken Chapter 15, Tactics (Part 1)

From: Abdiel <[email-masked]>
Date: Fri, 13 Apr 2007 00:03:21 +0100 (BST)

Dragon and wolf were again face-to-face. Fujita had long discovered that
the claws and teeth of the dragon that soared the heavens could not
reach a wolf that had gone to earth. He even tested his theory
successfully against the Shisejyu Seiryu.

'Let's see how this technique is going to fare against _the_ Hitokiri
Battousai.' "GATOTSU SANSHIKI!" Fujita roared as he once more charged
with the third stance of his Gatotsu.

'What an interesting counter. Indeed, he has done his homework.' As
automatic as breathing, Battousai's mind raced and evaluated over a
dozen attacks that could come from the man's position, and the defenses
he could muster to counter or evade them. But before he could implement
even one of his elaborate battle plans, he felt his spirit break and his
soul shatter.

Unbidden, Himura Battousai's whole world quickly whirled into frenzy as
pain tore through the very center of his soul. It erupted from every
part of his body... from every pore of his skin. Nothing mattered now
except the intense pain. 'Not now. Dammit, NOT NOW!'

Fujita continued his charge, inadvertently taking advantage of the
sudden stroke of luck. "Say good-bye to your borrowed life, Battousai!"

What worried Battousai at the back of his mind was the lack of sensation
from his surroundings that followed Fujita's lance of excruciating
torture.

After several minutes, Battousai blanked out altogether.

________________________________________________________________________

Youtou Shinnoken
A Yuyu Hakusho/Rurouni Kenshin fic
By Chester Castañeda
[email-masked]
[email-masked]
Original concept by SeventhOne
[email-masked]
http://www.fanfiction.net/~abdiel
http://chester-fanfics.livejournal.com/

Kenshin's nightmares have finally begun.

________________________________________________________________________

Chapter 15: Tactics (Part 1)
________________________________________________________________________

Time passed and Battousai... no, Kenshin... cast himself on the wayward
currents of memories. That seemed natural enough. From what he
understood, it was quite common in this sort of situation. 

There were so many events that had helped make him into the person he
was today, right at this moment. The slaughter of all those around him
when he was a child.  His escape from death through nothing but blind
luck. The first time he picked up a sword at Seijuro Hiko's command. The
first man he slew. The night he gained the first half of the scar on his
cheek. Tomoe. The completion of his brand, etching permanently upon his
face the price of life and love.

Forsaking the path of dealing death for as long as he lived. Meeting
Kaoru for the first time, and the slow and gradual return to light she
helped bring to him. Sano, the best and perhaps truest friend he ever
had. Yahiko, and a chance to help raise someone the way he should have
been raised. Kyoto. Dying in Kyoto. Being cursed for all eternity to be
the guardian of a demonic sword in order to make up for his past sins
and his ultimate failure. 

Sometimes taking the good times for granted when they occurred, but not
now, since all he had at present was regret. Over time, he had come to
live a life of penitence, and there was little he would have changed, at
least when it came to the events that he had the ability to change, and
there was no life that was bereft of mistakes. It didn't work like that.

Kenshin no longer thought about it every day; about the family he had
had. One might say that he was getting used to losing families--a
horrible, bitter thought. 'Never again,' he thought.

>From there, snippets of Kenshin's memories from both the recent and
distant past flooded his mind in a deluge of nostalgia and reminiscence.

***

Genbu's exploding palm trick was not the first time Kenshin faced what
could have been a literally explosive demise. He had already experienced
the unique feeling in the hands of another 'monster'.

Like Genbu's volatile technique, the damnable 'Guren Kaina' nearly
killed Kenshin during his most momentous battle many, many years ago.

The distant memory replayed itself in the former vagabond's mind. It
was the last memory he ever had before his untimely death. 

Two men. Two different views on the topic of justice and truth. Two
goals. One final battle to determine the future that would come to pass.
One was the personification of the violent flames of the Bakumatsu, the
other was the only one who could stop this uncontrollable wildfire. They
were Makoto Shishio and Kenshin Himura.

Only one could survive. But neither of them did.

Both Shishio and Kenshin were hunched over, shaking and out of breath.
As Shishio struggled to pull himself together, steam began to rise from
his body. A scarlet steam.

Shishio's blood was boiling. His temperature was rising even higher,
exceeding the coagulating point of blood. He had finally surpassed his
human limits. As he slowly got up to his feet, the nearby smokestacks
flared. Even then, his kenki was at optimum levels. In this fight, 
Makoto Shishio held the upper hand. 

Kenshin was completely aware of the direness of his situation. The die
was already cast, so there was nothing left for him to do but to
sacrifice himself then and there.

"I long ago accepted the idea that I would die. It's held no fear for me
since I was a child. I could not have become the Battousai and feared
either giving death or receiving it. By the time I met Kaoru, I made
peace with everything I had done, and learned to live with myself,
regrets included. I have left nothing that could be finished undone. I
knew this day would come; it comes for everyone. If I don't live to see
another snowfall, then I can accept that. However, it's not in my nature
to lay down and die. I love my friends, they're my family, and would
fight with everything I have to spend just one more second with them."

Kenshin's eyes widened. 'Those are... were... the last words I ever
uttered before Shishio and I killed each other in our final battle.' He
actually remembered Shishio telling him that he talked too much and he
didn't need to speechify his words during their fight, much to his
chagrin.

The then charged at each other, striking their final blows. At the
climax of their battle, Kenshin reflected, 'My entire body is
exhausted... and I'm losing a lot of blood. I've felt death near many
times, but this is the first... this is true death. But Shishio has lost
almost all of his strength as well. How many years later will he
recover?'

A gigantic burst of flame suddenly engulfed both of the two hitokiri in
a conflagration of searing agony; an impromptu funeral pyre. 

As he and Shishio were burned alive by the latter's self-combustion, he
heard his greatest adversary rasp his last words; a promise to return.
Then he remembered his own last thoughts...

'Even if he comes back again, the ones who will bear the next age should
be able to stop him. So the mission entrusted to me... will end here. To
protect this country... to protect this city. And...'

But Kenshin did have one regret in his ultimate decision. He remembered
the words of his master, Seijuro Hiko...

"If you sacrifice yourself now, a girl who came all the way from Tokyo
just to see you will be very unhappy."

'Kaoru-dono...'

"Let's go home together, okay?" were the words mouthed by the lovely,
smiling face of the aforementioned girl from Tokyo, Kaoru Kamiya. 

'I'm so sorry, Kaoru-dono. I'm so very...'

"Let's go home together... or else I'll whack you!"

'...Oro?'

Kenshin soundly blinked as his vision of Kaoru suddenly smacked him hard
with a boat paddle.

***

"I can't die. There's no reason for me to die here. There's still
someone waiting for me to come back. Nothing... nothing is stronger than
the will to live!"

"What--Waiting for you?" Genbu incredulously asked. After a few moments,
he started to cackle contemptuously. "What are you blabbering about?
Nobody's waiting for you. You've died a long, long time ago. You're just
a clueless, know-nothing samurai that had the misfortune of getting
cursed and imprisoned by some demonic sword! Get real."

Kenshin's determined features turned crestfallen as his opponent's words
sunk in.

"You can't die, you say? Fool. You're already dead!" Genbu jeered,
laughing derisively as he used his Tetsuzan Kou to rebuild his stony
hands. "It's too late for you to say such things. It's not your 'life'
that I desire to take away, it's Urameshi's. He's the only reason
you're even in this mortal plane! You can't possibly have the so-called
'will to live,' because the life you claim to have isn't even yours in
the first place."

'You're already dead... Nobody's waiting for you... Your life isn't even
yours in the first place... It's too late.' Genbu's taunts reverberated
in Kenshin's mind. The harsh truth behind these biting words pierced
through the remnants of the lost soul's delicate hope and faith.

"Kenshin..."

The voice was weak and distant, yet cheerful and familiar. If only he
could find its source... but he was too tired.

Kenshin lay where he had slumped onto his side, wheezing slightly, his 
wild purple eyes open, filled with sadness, despair, pain...

Pain. He felt a strange pain inside of him, where he couldn't tend to it
for it was deep where he couldn't see. It hurt so much that it felt like
he was being cooked from the inside out.

And the monster was coming. The terrible one that smelled of decay, rust
and earth, the one who promised death which Kenshin strangely longed for
because he was so tired of everything. He felt the peculiar need to end
the futility of his existence right then and there.

"Kenshin, please..."

He had to do something. Yet he couldn't and wouldn't, even though the
monster was nearly upon him. He didn't even try to stop it because he
felt that it was meaningless to do so. It was about time that Kenshin
Himura ceased to be.

"Kenshin, please... Don't die."

But he had to survive because she wanted him to do so, he could hear it
in her voice, and he couldn't stand to disappoint her again like he did
during his final battle as a flesh and blood man, and the monster was
right next to him, it grabbed him so that it could blast him again with
its hellish exploding palm trick, and it was going to...

"We still have to come back home, Kenshin."

...kill him and make him break his promise to Kaoru again and there was
no way in hell he was going to let that happen.

Kenshin's eyes widened. He then frowned. An urgent, nagging feeling in
his gut told him that he needed to be awake and alert, that he needed to
clarify his fuzzy memory and...

'Remember.'

He didn't want to. It was too awful, too humiliating, and all too
depressing. But Kaoru's voice pulled at him, as it always did. Her voice
dragged his humanity from where it lay, submerged in utter despair. As
he awoke, he felt every nuance of his awakening. He felt his guilt and
regret stab through his very soul, still influencing him, trying to
stifle him, trying to smother him with hopelessness...

'Remember.' His own voice, in his own mind. 

He remembered. And it was so embarrassing. He, the growing spark of
awareness that was Kenshin Himura, was painfully aware that he wasn't
able to hold on to his sanity even when somebody's life was at stake.
More importantly, he remembered _why_ he felt so mindlessly depressed
and hopeless; why he _wanted_ to die in the hands of some C-Level demon,
albeit it was Yusuke Urameshi's life on the line and not his.

He had failed. He had failed to keep his promise to Kaoru in the
interest of defeating Shishio. He thought he was strong enough to bear
the loss of Kaoru Kamiya, Sanosuke Sagara, Yahiko Myoujin, Megumi 
Takani, and many, many others after his eventual death. But he
apparently wasn't, or else he wouldn't be feeling so disheartened right
now.

Where were they now? What had happened to them? Would he ever see them
again?

He quickly realized that because of his sacrifice, his existence was
now an empty one. He was all alone in the altogether alien world of the
new age. Besides that, he was eternally cursed to remain a demonic tool
of death and destruction at the expense of his forgotten humanity.

'What is the Hiten Mitsurugi Ryu for? What is Himura Kenshin for? Once
again, I've broken my promise to someone I truly cared for. Kaoru-dono,
I'm...' 

But he also remembered the words that he longed for Kaoru to say, but
he instead heard from someone else.

"Kenshin, welcome back to Tokyo," a certain blue-haired ferry-girl 
excitedly declared, taking his hand to hers.

Kenshin reminisced staring at Botan's hand in dumbstruck wonder, his
mouth forming a little 'o' of shock. He smiled a bit, as if somehow this
was the sort of thing that was supposed to happen in his life... his
past life... the sort of thing that should have happened after he
fought Shishio.

"Never mind empty, unfulfilled promises... You still have people to
protect, Kenshin," Botan and Kaoru seemed to say in unison in Kenshin's
complicated imaginings. "You lose what's most precious to you, then
exhaust yourself body and soul. But if you have something you can't
bring yourself to throw away, whatever anyone says, that's your only
truth." 

'My... truth?'

He gingerly clutched the Demon's Sword in deep contemplation. Though it
represented everything that was damnable about his present existence, it
also embodied all that was good in him; his childish hopes and dreams,
even. He clung to it the same way he steadfastly clung to his foolish,
juvenile, and unrealistic credo... "The Sword that Protects."

'There's one thing I can still do. Protect the happiness of the people I
see before me. If one sword can still catch people's eyes, than it's
enough to protect. Even if one person was suffering before me for
whatever reason, I just can't let him be. That is my truth.'

Strangely enough, a vision of Makoto Shishio burning in hell suddenly
assaulted Kenshin's senses. He had a sick, Cheshire grin on his scorched
face as he said, "Death is but a door. Time is but a window. I'll be
back."

Kenshin's eyes widened further. 'Those words are... were... Shishio's
last words before he died.' In the back of his mind, he noted that 
Shishio was far more terse and succinct than he was when it came to
dying words, making his speech all the more effective. 'Brevity is wit'
and all that. Still, those fancy words didn't save Shishio from dying
anyway, so Kenshin could care less about his longtime enemy's prowess in
public speaking.

Kenshin let out a deep sigh, making another cloud rise in front of him, 
disappearing before it made it to eye level. He placed his hand on the
hilt of his sword, his knuckles whitening from the tight grip. 

So many years... so many memories. The faces of people he had known, now
lost in the past. Places he had been, things he had done. Memories that
he repressed. Enemies and friends; familiar faces and unfamiliar ones;
colleagues and loved ones. All gone now. All lost, left behind.
Desolation threatened to sweep him away; but he held firm, his
expression unchanging, his concentration fixed on his task at hand. 

He afterwards awoke.

***

Yusuke awoke with a shout of terror, lurching forward and clutching his
chest. Curiously, his long mane of hair had already receded to normal
length while the myriad of markings on his body slowly faded away. Most
curious of all was the fact that the aforementioned chest that he was
clutching was strangely covered in his own blood; it was apparently
punctured by... God-knew-what. 

He proceeded to rub his eyes wearily with his unsullied hand; he felt
dizzied for some reason, as if someone had just crushed his skull with
a sledgehammer.

'A dream!' he told himself. 'Just a nightmare! Man, that was spooky.' He
tried to fit together the jumble of ephemeral images and sensations from
his nightmare. Something dark... something with claws... burning globes
of amber set against a black field. Also, something about Keiko... 

If Yusuke's heart were still beating, it would have stopped right then
and there.

'N-No, that wasn't part of the dream,' he thought hastily, disinclined
to delve into such melancholy. Shuddering, he tried to shake off the
dark thought. 'No, I'm thinking about the _other_ dream.' 
It just lasted for one minute, but to Yusuke Urameshi, it seemed like an
eternity. 

Hundreds of demons were clawing at him; the only thing keeping them at
bay was the Sei Kou Ki that surrounded his body. Then it came out of
nowhere: a swirl of flame, lighting up the nook with a reddish glow. It
licked about him, surged, ebbed, and then roared up into an incandescent
pillar, crackling with energy and power. A wave of heat rolled across
the clearing. In the center of that pillar, at the heart of the fire,
Yusuke hung suspended, turning slowly, barely visible. His skin, his
clothes, and his hair were burning, consumed by the force that was
tearing him apart. 

But, like he had said, it was all just a dream. His rude awakening care
of Keiko's ghost had roused him from all sorts of lies and deceptions.
He nodded to himself. His conversation with his comatose girlfriend was,
strangely enough, no dream. On the other hand, the consequences of being
mauled by the Shun Goku Satsu that he thought he experienced was
definitely a dream; just a simple illusion created by...

Before he could really apply form to the dream and make sense of his
fuzzy memories, he was caught totally unaware by Randou's whirling
roundhouse kicks. His body went sailing towards yet another pile of
debris, hurtling through the air towards its inevitable destination.

"TATSUMAKI SENPUU KYAKU!"

Just as Randou ran after Yusuke, the demon's clawed pointer fingers in
position for either a double Rei-Gan or yet another speedy Hakkei, the
Spirit Detective righted his unbalanced airborne position to a more
vertical base. As he did so, he chanced upon noticing the gaping crimson
hole in his chest again.

Yusuke blinked. Was that Randou's handiwork? Or was Kenshin also having
a hard time fighting his designated opponent, thus causing them to share
the same wound care of their spiritual bond? Whichever the case, it gave
Yusuke an idea for a swift counterattack.

"BLOOD WIND!" The quick and well-aimed crimson crescent wave caught
Randou by surprise as it hit him in between the eyes. Yusuke took
advantage of the momentary distraction by getting behind the demon and
executing one of the most degrading techniques ever.

"Sennen Goroshi, Kancho Nishiki--TUMBONG!"

Out of churlish childishness, Yusuke just stuck his two hundred yen's
worth into Randou's business. "OUCH! What the hell is wrong with YOU?!"
the youkai shouted hysterically as he hopped around in circles while
clutching his backside in humiliating agony. The Spirit Detective, for
his part, was in stitches.

"What kind of a stupid, brainless technique is that, sticking your
fingers way up my...!?" Randou did a double-to-triple-take as Yusuke
slowly recovered from his giggling fit. "Wait a second. N-No! NO! How
can this be! This is just--!"

"Yeah, yeah. 'Impossible. This can't be happening. How can you still be
alive?' Yadda, yadda, yadda. Take your pick. I've heard them all." The
Reikai Tantei smiled wryly and he waved the demon off. "But you're one
sly bastard, aren't you? You fucking tricked me for quite a while,
Randou."

Randou turned silent upon hearing the accusation. 'How could he have--?'

"I should have known that your great big fireball combo was completely
fake. Nobody alive has that kind of power," Yusuke continued in that
righteous tone that set Randou's teeth on edge. "Hell, the last trick
you did was even more impressive. That Instant Hell Murder of yours was
some crazy shit, let me tell you. I almost wet myself when I got hit by
that! Good thing Kei--" he coughed, amending, "my survival instincts
kicked in, or else I would have been toast."

Randou backed away warily, shaking his head in incredulous disbelief. He
had done absolutely everything. Everything. And yet the walking, human-
sized natural disaster in front of him was still alive. 'Even saying
that he's the son of Raizen, or even Kami-sama Himself, cannot justify
why this... this... anomaly is still alive!'

"But a trick's a trick, and you can't hide the truth from me. The
illusion you created was just a distraction to lower my guard down so
that you can take me out easily. And just how you did it is no secret to
me." Yusuke's grin soon turned feral as he spoke, making him appear like
he had somehow changed back to his Toushin-Mazoku form. "Even though you
tried to keep it under wraps, I saw it. Even right now, I can still see
it." 

"W-What the hell are you talking about?" Randou questioned crossly as he
averted his gaze from his opponent. "Are you going into shock? Panic?
Hysteria? You're bluffing; what did your desperate eyes see?"

"Your evil eyes," Yusuke straightforwardly said. "They're not like
Hiei's third eye; those peepers of yours are evil eyes of illusion, I
reckon." In the, pardon the pun, blink of an eye, the sleek-haired teen
rushed forward and jabbed both of Randou's eyes with a two-fingered
poke.

Randou screamed in pain as he unceremoniously fell in a boneless heap.
"That was for cheating in our fight. You were supposed to answer me with
your fists, not cheap parlor tricks. For shame, Randou... for shame."
Yusuke shook his head in disappointment. "To think, you've been lying to
me all this time... through your eyes! How can I ever trust you again?"

"I can still fight you now!" he blusterously boasted as he rubbed his
sore eyes.

"No. That's also a lie. You're the one who's bluffing this time around,"
Yusuke surmised.

Randou nearly fell again as he tried to stand up, much to his shame and
frustration. He had to face facts; he was almost out of spirit energy,
while his bruises, cuts and fractures weren't going to heal anytime
soon. He stopped in mid-thought as Yusuke held a finger at his temple.

"Bang," Yusuke said.

The demon winced at the spiritual gunshot that never came, sweating
profusely. "You're dead, Randou," Yusuke declared plainly. "Now get the
hell out of this dojo like a good ghost."

Randou grit his teeth, holding back salty demon tears as he started to
involuntarily scamper away from Yusuke in mortified terror. 'No. It
can't end like this. I won't let it end like this!'

***

As the real Yusuke awoke from being the Toushin, so did the real Kenshin
wake up from being the Battousai.

Fujita snorted in disgust as he kicked Kenshin in the face while in the
process of retracting his sword from his opponent's chest. Luckily for
the swordsman ghost, the half-mazoku Yusuke didn't need a living,
beating heart to survive, so the strike wasn't a fatal one.

Kenshin let out a long, deep breath as he felt his hot blood sear
through his veins and out of his chest. True enough, the hitokiri was
still inside of him, tempting him to let go, to run amuck on the man
before him, yet he fought against this overwhelming desire to give in to
his dark side. Not for his own sake, but for a comrade's sake. 

"I was hoping that you could give me a decent fight this time around.
After all, the Youtou Shinnoken was so notorious for its murderous power
that it had to be sealed for quite a while by the Spirit World itself." 
Fujita scowled. "Yet now you seem weaker than I last remembered. Even
the 'Battousai' I fought just now is just a shadow of the real
Battousai; yours is a watered-down version of the greatest manslayer who
ever lived."

Kenshin could care less for the dubious title, a name of ill-repute. He 
intentionally held back his killer instinct in his fight with the
supernaturally-gifted officer, involuntarily sensing that to lose
control would mean to lose the human side of his Kugai-infected friend,
Yusuke. To him, there were far more important things than winning a
silly duel: To protect those who were close to him was of the utmost
importance.

Fujita continued. "Actually, I'm more than a little disappointed with
your performance in your rather lengthy fight with the weakest of the
Shisejyu, Genbu. The finish was indeed quick and deadly, but the middle
parts were more typical of your pathetic rurouni self, judging by the
way it dragged on and on. This indeed begs the question: Will you become
my death or will I become yours?" 

Kenshin's hand gripped the hilt of his sword tighter as he cradled his
presently clotting, strangely innocuous flesh wound. Try as he might, he
had no counter to Fujita's accusations; not that he actually cared for
them. On the other hand, endangering himself would mean endangering
Yusuke, and he could never risk that. But what was he supposed to do
now? Even when his bond with the Mazoku Yusuke gave him enough power to
awaken the hitokiri inside him, he still barely survived his match
against Hajime Saito... or whoever that person before him was. Now that
he had reverted to his peaceful wanderer self, the fact applied to him
even more so.

"Awaken your true self again. You've done so before, in the hands of
countless demons. Do the same thing now. Abandon your humanity. Become
the Devil inside the Demon's Sword once more, Battousai. The vagabond
ghost that does not kill has made you weak," Fujita snarled. 

"I don't need to abandon my humanity just to stop you, Saito," Kenshin
all but spat out.

"If that's your decision, then you cannot stop me. You can never stop me
when you're like this." As Fujita said the words, the misty yet
unmistakable form of a giant wolf appeared behind him, its amber eyes
glowing in the gathering darkness. It contemptuously growled at the
spirit guardian.

"Then if I can't stop you, I'll settle for staving you off for a while."
Kenshin drew the Demon's Sword from its scabbard, opting to go with open
confrontation rather than an elaborate quick draw. The situation had
changed; he couldn't rely on Battousai's out-of-this-world reflexes
anymore. This fight would not be settled with the first strike of his
blade.

"Spoken like a true rurouni. How pitiful." Fujita held his katana in
front of him. "It's now time for me to come. I will not be turned aside.
If you're going to be that pitiable, then I suggest you just put down
your sword and accept your fate."

As if on cue, Fujita's wolf-like familiar united with his body, draping
him with a cape of canine aura, howling a dirge for the cross-scarred
swordsman. And then there was light aplenty amidst the darkness. Cool
rivulets of light, streams of cold fire that poured through him,
terrible, breathtaking. A flood of power that spun about him, enveloping
him with its wispy tendrils.

As soon as it began, it ended. From there, Fujita moved forward, with no
urgency in his step. He glided across the walkway and drew closer to
Kenshin. The redhead's skilled eye told him that despite the man's 
radiant sword being drawn, he would not employ it in an offensive manner
with the way he held it and approached. 'Is he testing me now?' It
seemed he would be content to walk right up to him, which meant that it
fell to him to deliver the first blow.

"RYU TSUI SEN!"

The strike was delivered flawlessly, the years of sleep-induced peace
melting away as the weapon in his hand became nothing more than an
extension of his body. It was faster than a heartbeat, stronger than
when Kenshin used it against the monster Genbu, a blur that swept
towards the thin policeman in the time it took a hummingbird to flap its
wings. The Youtou Shinnoken was aimed at the soft spot where shoulder
became neck, a move that had killed dozens of opponents over the years.

Fujita raised his own sword, effortlessly blocking the strike with a
lunging Hiratsuki parry long before it ever met his form. 

Battousai was taken aback by the block, as much by the speed as the
irresistible solidity behind his opponent's own sword. It was like
striking a mountain, the enigmatic man's blade not wavering a millimeter
as it absorbed the full impact of the strike. Even Sano... hell, even
Yusuke... was nowhere near that powerful. The force of the hitokiri's
own blow was driven back down the sword and into his arm, throwing him
off balance for a second as he landed unsteadily on the ground.

'That creature that combined with Saito's body has awakened Saito's
true power!' Kenshin assessed. 'He's now forcing me to revert to my
Battousai persona by unleashing his full power on me. But even the
peaceful vagabond won't go down _that_ easily.'

As automatic as breathing, Kenshin's mind raced and evaluated over a
dozen attacks that could come from the man's position, and the defenses
he could muster to counter or evade them. But the red-haired swordsman
was surprised by the lack of a follow up to the attack.

Fujita seemed completely unmoved by the blow. Kenshin remained in a
guard position for a moment, waiting for the man to make another move. 

All he did was take another step forward. 

Again there was a moment of doubt for Kenshin, a sense that everything
the man had said was right and that he should just lay down his sword
and accept what was to come. Had it not been for a sudden flash of 
Kaoru's visage, he might have done so, but the memory of the happiness
she shared with him shook him out of his perceived helplessness, and he
gathered his strength and returned to the offense. If not for himself,
then he would continue his struggle for the memory of his lost loved
ones.

He tried a low stab towards the leg this time. Again Fujita blocked it
with an ease that belayed the skill the strike was delivered with.
Prepared for the irresistibility behind the block, Kenshin spun and
attacked high again; aiming at the same spot he had tried a moment ago.

"RYU KAN SEN!"

But Fujita's sword reached up even faster and turned the attack aside as
easily as it had the first two times.

"GATOTSU NISHIKI!"

And then the dance truly began. A dervish of blows delivered by Kenshin
followed, each one trying to lure the man out of his defense, trying to
find or exploit the holes that should be there. The emotionless Fujita
only employed a very basic technique that should have been simple to
overcome, but his speed and immovable nature made it impossible. Kenshin
tried everything he knew, every technique he had been taught, but the
man would not falter, not even back away a step. 

It was Kenshin's turn to feel like so many of the untrained, inept thugs
he had dealt with in his life. The fiery-haired swordsman felt like a
child using a sword for the first time, so slow and clumsy he was
compared to his opponent, who still refused to show the faintest hint of
fatigue. 

And, much to Kenshin's vexation, Fujita would not attack. It was all
defense without a hint of offense. For someone that, in theory, was
intent upon killing him, he was not trying very hard, unless he intended
for Kenshin to keel over from a heart attack. 'Huh. A ghost suffering
from a heart attack. What's that, 'double dead'?' he supposed in the
back of his mind, considering the possibility. It simply didn't feel
right.

Again doubts plagued him, eating away at his resolve like hungry dogs
would on a side of beef. Only the memory and training of forcing himself
to fight no matter what happened enabled him to continue fighting
effectively. 

***

Randou had already stumbled and crawled to the gargantuan doors leading
outside before he stopped himself altogether. 'Have you lost all pride?
Stand up and fight!' he heard himself think. 

He was down on his knees now, clenching his ashen fists in either terror
or shame; he couldn't tell which. His face was chalk-white and beaded
with sweat. Like a verbal curse, he repeated his accusatory mantra of
cowardice, the words seemingly draining more from him as time passed. He
looked about ready to pass out.

"No, damn it!" Randou screamed suddenly, ferociously, startling Yusuke.
"NO! I WON'T LET IT END LIKE THIS!" 

But he felt so tired and weak, as if the all his energy had been sapped
from his body. 'The Jagan of Deception has depleted me of the jaki no
power that the Chojin had so generously provided. Dammit, I'm such a
spendthrift fool!' His now strangely-red eyes narrowed. 'But still...'

It was far too late for regrets; Randou reckoned that, even though he
hadn't much strength to offer at this point in the fight, he had nothing
else to lose. He only had two choices; to live in dishonor or to die in
agonizing defeat. 

He gave a bitter laugh. "This is strangely appropriate, don't you think?
Seeing myself sprawled on all fours, making a hasty exit towards the
door like a whipped dog, I mean," he drawled. "After all, I'm just a
lowly demon, a mere pawn to the Chojin's elaborate chess game. Well, I
once thought that even a pawn like me can make a big difference in our
war against the Spirit World, conveniently forgetting that the very
definition of a pawn is 'expendable'."

"Randou--" Yusuke hesitated, then said, "You sound like you..."

"...Like I want to die?" Randou laughed: an ugly sound. "You don't
understand. I don't want that at all. I want--" His eyes grew distant.
"I want it to _mean_ something."

"This fight of ours, you mean?" asked Yusuke.

He laughed again. "You _don't_ understand. I mean... all of this.
Everything! Damn it--" he broke off. "Look," he said. "I've sacrificed
my honor, my dignity, my soul... I gave my whole life to be stronger,
no, to be the strongest of all the demons! To be a Class-S warrior, or
at the very least, one of the Chojin's generals! That was my dream, and
_you're_ the one who stole it from me! You, who didn't even want my
dream in the first place! You, who threw away a life of dominance and
ambition, a life that would've meant everything to me! And here I am, on
the verge of taking back what was supposed to be mine, and you ruined it
again! My decades of waiting, training, and suffering was about to end,
and in just a few hours, the opportunity has passed me by once more!
Can't you _see_?" 

"Think about it," he urged Yusuke desperately. "You don't deserve all
the power that was given to you! You don't deserve all the luck and the
hand-me-downs that you've gotten, since you can't even appreciate just
how important these things really are! If my dream was this fragile--if
it could be destroyed this easily, stolen and taken for granted so
effortlessly--then what _good_ was it? If everything I worked for could
be taken away just like that, then what was the _point_? What does it
_mean_?" 

"Don't you see?" he whispered. "I just don't want it to have been for
nothing."

There was a long silence. Yusuke stared at Randou for the longest time.
In the distance, they heard the disturbing howl of a wolf. Randou
sighed, and started to turn away.

"Then fight," snapped Yusuke.

Randou looked around quickly, shocked.

"Fight, damn it!" Yusuke repeated. His voice was filled with anger. "You
want it all to be meaningful... How dare you! The only thing that makes
it meaningless right now is that you've given up! You want meaning? You
want what you've done to be significant?  Then _defend_ it! Instead of
just beating your breast and moaning about how sad you feel!"

"The surest way to defeat," continued Yusuke, "is to give up before you
begin." He shook his head, and something like an arrogant smirk crossed
his lips. "So what are you going to do now, Randou?"

Randou finally realized that there wasn't any other choice left for him
at all. He stood up, spun on his heel, and turned towards Yusuke.
Looking straight into his opponent's eyes, he shouted, "SHIN NO IPPOU!"

During that short moment where Urameshi's muscles were frozen stiff,
Randou used the Shinsoki--for he had no more energy to execute the Chou
Shinsoki--to move in for the kill, his fingers poised and ready to
execute a lethal ten-hit pressure point combo with laser-like precision.

A blaze of raw power erupted up from the tips of Randou's fingers, the
remnants of the Chojin's jaki. A fountain of dark matter, a vortex of
energy; it hollered out a fiery, all-consuming storm of chaos and
destruction. There was a thunderclap of sound, like a storm-wave
breaking, like the howling of a banshee wind, like the clamorous
ringing of a thousand bells.

Above it all, out of the centre of that vortex, out of a throat aflame
with power and raw with tortured need, came his cry.

"HAKKEI!" Randou charged proudly, foolishly, magnificently, his eyes a
smoldering, murderous cauldron of rage that threatened dire vengeance on
anyone who got in his way.

At the same time, from the tips of Yusuke's fingers came a whirling
spindle of energy, the remnants of his Saint Light Ki. It drew in, it
turned back on itself. Like an explosion in reverse, it collapsed
inward. It poured itself into him; it filled him until he overflowed and
then did it again, over and over. A hairbreadth of a second later, he
cried out, his voice piercingly clear and powerful; a voice of flame,
uttering words of thunder.

"CHOU REI-GAN!" Feeling rather rebellious for a change, he released all
his energy out of his middle finger instead of his index finger, thus
giving Randou a quaint one-fingered salute as he blasted him back to
hell.
 
He unleashed the roar of a hallowed ocean, giving everything that he had
in that one blast. The shot made an eerie humming sound as it was
launched, followed by an earsplitting crack after it accelerated in the
air. It moved so fast that it was ignited by friction, turning into a
streak of white flame, a vengeful shooting star from the heavens sent
by the Son of the Great Mazoku Warlord himself.

Truth be told, Yusuke didn't want to use his Rei-Gan at that point
because he himself was so exhausted from the extensive fight that he
could barely stand, let alone fight. But for the very same reason, he
had to do it; another Hakkei might just possibly kill him this time
around.

Randou's face blurred and rippled amidst the glare of the projectile. He
flared with light. He became a star; he became a supernova. He felt
neither remorse nor regret as the Super Spirit Gun--childish a technique
as it may sound--basically cooked and boiled him alive with his own
juices. What he did feel was painful numbness. He knew that he did the
best that he could in the fight, so there was nothing for him to be
ashamed of. He actually halfway enjoyed it, though probably not as much
as Urameshi did. "Yes. Finish me off. I'll be glad to die this way. It's
an honorable death."

That was the last statement he was able to make before his body began to
twist and writhe inside the infernal blaze of what seemed to be a
miniature star, like an ant curling up into a fetal ball as it got fried
by a magnifying glass. He shrieked. Bones shattered with a series of
muffled cracking sounds. Skin blistered and crackled like dry autumn
leaves. His screams were cut off as his skull abruptly deformed and
expanded into something monstrous.

Then there was came a sickening crunch, followed by a strange splashing
sound, like a cup of water being poured out on the ground. Yusuke's
burst of spirit energy, on the other hand, eventually dissipated into
harmless heat and light a moment later.

The weary half-demon heaved a heavy sigh as he involuntarily turned his
head away from the mangled and fried lump on the ground that was once
Randou. 'Dammit. It's finally over.' His knees afterwards buckled, the
pressure of his own weight too much for his weakened state to handle.
The half-breed cursed his apparent moment of weakness as he hunched on
his knees to keep himself from collapsing altogether... collapsing like
a powerless, decrepit old man. 

Yusuke stiffened. 'Oh no. Oh fuck no.' He uneasily gulped, choking in
his own guilt. 'I've exhausted all my powers. That means...!' His eyes
widened in horrific realization. Without his ki energy, Kenshin too
would run out of strength; that was the double edge of their shared
Demon's Sword bond. 'Goddammit, no! SHIT! Not again! I'm so sorry. I'm
so fucking sorry, Kenshin!'

Completely spent and exhausted, Yusuke collapsed to the ground, a silken
darkness draping over his subconscious as his blood started to
inexplicably pool underneath him.

***

"RYU SOU SEN!"

A rain of blows formed an endless storm of steel and sparks that fell to
the ground in a shower of tiny yellow stars. Time lost meaning as a
hundred strikes became five hundred, and then more. Kenshin switched
from speed to strength to solely relying on skill, and still his
opponent effortlessly countered everything, never a reaction in his
face. It felt like Kenshin was fighting a statue. The man did not even
break into a sweat!

But he was still the Hitokiri Battousai. He had defeated everyone in the
end. Not a boast, but fact. Even Makoto Shishio was defeated, even
though it had cost him his life. And this time, maybe more than ever, he
had to win. It was going to be the hardest contest ever--of that he had
no doubt. There was no sense in holding back, not against this opponent;
it was pointless. Accepting that, Kenshin continued the fight by
feinting with his shoulder to the left, while bringing his sword up,
then pivoting on his heel to abruptly change direction and sweep in from
a high arc to the right. There was another effortless block, stymieing
Kenshin's plan of attack. 

Strength began to leave his arms, and Kenshin felt the inexorable toll
of fighting an inexhaustible opponent weigh heavily upon him. His blows
began to falter. Over a thousand slashes and stabs with a blade, more
than he had dealt than in any five fights combined in his entire life,
and still no progress. His blade failed to draw near the gaunt one's
form. There was no difference between the first blow and the thousandth,
save for his exhaustion. To the man, the battle might as well have
never happened. 

Kenshin knew his style was deteriorating. He could feel the holes open
up in his technique as he grew increasingly tired and his blows held
less power with each strike. His breath rose in ragged gasps, and the
clouds of steam now sailed high above his head. Had Fujita so chosen, he
could have ended Kenshin's life at any moment, but still he refrained
from unleashing even the most meager of offenses, impossibly content at
remaining passive in their duel. 

The sword nearly slipped from Kenshin's grasp. That was it. He was
almost out of strength, and would truly be at his opponent's mercy.
There was only one thing that remained, one attack left to unleash. He
had sworn to abandon it when he refused to kill again, for it was only a
killing technique, reverse blade sword or not. 

Part of him felt nauseated at the idea of relinquishing his most sacred
of vows, one that was just as strong as what he had promised Tomoe on
the day they were married, to love her and remain at her side until
death parted them; he winced at the equally nauseating, macabre thought.
Was compromising his integrity worth the price of survival? Against
another opponent, probably not. He was willing to die for his ideals
under those circumstances, but against the being that stood before him
now, could he even kill him with a sword at all? 

If his next attack failed, the fight was over. He would be unable to
even pick up his sword. If it struck... perhaps it would be over for him
anyway, but at the very least he had tried everything he possibly could.
'Just like with Shishio,' he thought bitterly as he braced himself.

He was prepared. Tensed leg muscles uncoiled, and he leaped high in the
air. His body underwent a metamorphosis as he rose towards the sky like
a bird, turning white as the pupils in his eyes disappeared in an ivory
haze. There was nothing but the sword now; his borrowed body was merely
a vessel with which to deliver it into a fleshy sheath. Thick sheets of
snow began to fall as he reached the apex of his leap, surrounding him
and traveling as companions at his side as they answered gravity's call
and went downward together towards the gaunt figure below.

Through eyes made white with pain and focused on only one thing... a
target one inch below the throat... Kenshin streaked through the air
like a bolt of lightning. This was a new technique, a move outside of
Hiten Mitsurugi Ryu. It was the pinnacle of his art, a move he had
created on his own during his tenure as Guardian of the Demon's Sword.
An unbeatable technique when delivered correctly and he could feel to
the base of his soul that he had never unleashed a more perfect blow in
his life or even after it. It didn't even have a name until that
point...

"KAITEN BATTOU-JUTSU!" It seemed like an appropriate name, perhaps
something that Sano himself might have suggested. From there, Kenshin
used up every last inch of his strength, his strike coinciding in
perfect harmony with Yusuke's Chou Rei-Gan.

The air itself seemed to part, howling in fear of the approaching
onslaught. The blade descended, and for a moment Kenshin knew the
impossible and that he had slipped by the man's defense. But the moment
passed, and Kenshin felt like he was moving in slow motion as his
opponent's blade rose up in a blur once again, sealing the hole and
meeting Kenshin's own sword in the middle. 

"GATOTSU ZEROSHIKI!" Fujita countered, his attack pound-per-pound as
powerful as Kenshin's.

The impact proved too much for the Youtou Shinnoken; it slipped from 
Kenshin's tight grip, flung away by the collision of two irresistible
forces. Both blade and wielder hit the ground at the same time, the
pointed tip of the Demon's Sword embedding itself in the ground just as
the pointed tip of Fujita's sword embedded itself into Kenshin. Both
warrior and weapon lay unmoving long after they struck. His blood, the
spirit guardian noted idly, had started to pool underneath him.

The Hitokiri Battousai, Kenshin Himura, had just been defeated soundly,
unquestionably, and completely by Goro Fujita. 'How anticlimactic.'

The ground felt cold; that was the first coherent thought that came to
him. Nothing but peace for his fate remained in his mind now. He had
tried his best. No one could fault him for that. He had tried. He had
made mistakes, many at times, but had enjoyed far more successes. And
the quality of those successes by far outweighed the mistakes, or so he
believed. So he hoped. 

"Ahou. You're a complete and utter moron. Get up. Get up and fight, you
pathetic fool. It would be disappointing to end our battle like this
after so long," Fujita said in disgust as he flicked his sword clean
of his quarry's blood. 

To Fujita's revulsion, Kenshin finally swallowed his pride, pleading,
"Please, don't kill me. This life I've borrowed isn't mine, but a
friend's. I beg of you, please spare him! I'll do anything..." The
former vagabond closed his eyes in bitterness and futility. 'I'm so
sorry, Yusuke. I'm so very, very sorry. I've failed you yet again. I
have no strength left in me to fight... just like in my final battle
with Shishio Makoto.' He chuckled acidly. 'Indeed, history really does
repeat itself.'

Kenshin was so caught up with his thoughts that he didn't even notice
Fujita's lack of a response to his question. He remained where he was,
closing his eyes, waiting for the end. His life didn't really flash
right before his very eyes... which made sense, since he was already
long dead and was now running on borrowed time... but perhaps it was
just as well. Despite coming to terms with his mistakes, he had no
desire to relive them. 

As Kenshin lay there, he could have sworn the ground grew colder, and
subsequently transferred that cold into him. He wondered if the end had
already come, and that it was merely his body growing colder as it again
transmuted into its wispier, ethereal form. It was strange. Kenshin had
felt nothing, but his body still ached with an exhaustion unlike any he
had experienced before, one that felt like it would last forever. Not a
painless end, for he was still in some sort of pain. He wondered how
long it would last. He wondered if Yusuke was feeling his pain as well. 
Why was he feeling pain in the first place? His brow wrinkled. Something
was definitely amiss.

Sooner rather than later, Kenshin realized that Fujita had not made a
move to finish him off at all. "S-Saito... I mean, Fujita! Whoever you
are! Why--?"

"Shut up," Fujita said in a reproachful tone. "Just look at yourself. 
This parody of the Battousai, the wanderer that could not kill, doesn't
deserve a death by my hands. I'll leave you to your fate," the gaunt
police officer practically spat as he turned on his heel and walked
away, leaving his defeated foe awestruck and dumbfounded.  

The swordsman didn't say another word. What else was there to say? He
didn't even know whether he should have felt relief or shame for
himself after hearing Fujita's decision. It was all very puzzling to the
bemused ghost.

It had continued to snow, covering everything in an icy blanket that
paled in comparison to the shroud that now rested over his frozen soul.
He had wanted to see it, this field of virgin white. He had wanted to
witness it almost more than anything. Now, with the snowfall before him,
it seemed hollow and empty. Just frozen water with no special
significance at all. Completely pointless.

***

So many years... so many memories. The faces of people she had known,
now lost in the past. Places she had been, things she had done. Enemies
and friends; familiar faces and unfamiliar ones; colleagues and loved
ones. All gone now. All lost, left behind. Desolation threatened to
sweep her away; but she held firm, her expression unchanging, her eyes
fixed upon that... person. That strange, raven-haired, pony-tailed girl
dressed in a hakama and carrying a long, wooden sword, hiding behind an
empty alleyway. 'Who is she, exactly? What's she doing?' Botan wondered
dazedly.

The ferry-girl stared, perhaps even ogled, at the strangely foggy
spectacle before her. The aforementioned girl she espied was currently
stalking a diminutive, red-haired swordsman coming their way. 

Botan soundly blinked as she spotted the cross-shaped scar on the
swordsman's left cheek. 'What in the world...? Kenshin! What's he doing
here? While we're at it, what am _I_ doing here? Where is 'here'?'

"Hitokiri Battousai!" the girl declared, startling both the wandering
swordsman and the ferry-girl. Kenshin stopped in mid-step and looked
behind him curiously, only to be greeted by a bokuto in front of his
face. 

"At long last, I've found you! Your two months of bloodshed in the
streets ends tonight. Prepare yourself!" the young woman declared as
she went into a fighting stance. 

"Oro?" Kenshin exclaimed, his eyes bugging out.

"Kenshin? Killing people? Why, he wouldn't even hurt a fly!" Botan cried
out with the intention of telling the silly, stick-wielding girl off.
But it seemed that the girl hadn't even heard the shinigami's
proclamation of Kenshin's innocence. Thinking that the kendo girl might
be deaf, Botan raised her voice.

"I know Kenshin! He's a good, er, ghost! Sure, he was called the
Hitokiri Battousai once upon a time, but so what? He's a changed man!
>From what I heard from a friend of mine, he's even willing to protect
_demons_ from harm! Heck, he's saved _me_ from danger!" Botan half-
shouted as she eyed Kenshin, waiting for him to back her up. To her
chagrin, he ignored her. 'What is with these people?! Jeez!'

"Don't play innocent with me! Who else would ignore the edict and walk
around with a sword?" Kaoru all but shouted as she swung her bokuto at
Kenshin in full-force. The vagabond leapt away blindly, consequently
crashing into a fence and collapsing in a heap.

Botan started to sweat in exasperation. 'Always playing the goof... Eh,
Kenshin?' The girl mirrored the angel of death's expression. "That
didn't take long... Hitokiri Battousai?"

Kenshin rubbed his head in sheepishness and pain. "I'm just a rurouni,
with no family or profession; a wandering swordsman. I just arrived in
town. I don't know anything about bloodshed in these streets--"

The girl looked flustered and confused. "Well... Well, how do you
explain this sword at your waist? Swordsmen aren't allowed to wear real
swords!"

Botan let out a small squeal of surprise as the black-haired girl drew
the vagabond's sword from its sheathe and examined it. "Hey! This also
happened back in Koenma-sama's office! Yusuke was able to get the 
Demon's Sword from Kenshin just like _that_." She snapped her fingers to
illustrate her point. "Some guardian, huh?"

Again, the pair gave her no heed. She continued her rant anyway. "That
harebrained swordsman simply drops his guard down when among friends,
to the point of looking like a complete and total dork!" Botan laughed,
then stopped. Her 'audience' still wasn't paying any attention to her.
She growled in frustration.

"What is this? A reverse-edged blade...?" the girl trailed off.

"Wait... That isn't the Youtou Shinnoken? It's a sakabattou?" Botan
whispered to herself, startled. For the first time since she arrived in
that strange place, the ferry-girl took a good look at her surroundings.
This was definitely not the Japan that she knew; there were no vast
structures of cold, uncaring stone and terrifying monoliths that
stretched up into the sky; these were all replaced by a simpler, more
traditional architecture that indicated a rural... no, an ancient
setting. 

It was a Japan of a bygone era, a Japan as Kenshin had known it; meaning
that she, Botan, was little more than a phantom, completely invisible to
the people of a century ago. 'So this Kenshin isn't a ghost. He's a...
memory... a memory of Kenshin's past self, before he died--'
 
"Could this sword kill anyone?" Kenshin pointed out to the girl,
interrupting Botan's train of thought.

The girl looked pensive, contemplative, as she replied, "It couldn't.
The nicks don't smell of blood, there are no clouds of tallow on the
blade. Like it's never been used. You're really just a..."

Kenshin smiled. "Yes. A rurouni."

The girl reddened slightly. "But why do you carry a sword you can't
use--?" she demanded, but she cut her question short at the sound of a
police whistle. Her ears practically wiggled in anticipation. "This time
for sure!" 

'Aw, come on. What a stubborn girl,' Botan thought through half-lidded
eyes. 'If I were her, I'd be convinced from the get-go. Kenshin's not
dangerous--Hey, where's she going?'

The girl had run off, throwing the sword back to Kenshin as an
afterthought. The vagabond dove to catch it. "Oro... What do I do? It
looks like trouble in a place I don't know."

But Botan didn't hear him; she was already hot on the hakama-wearing,
bokuto-wielding girl's heels, curiosity getting the best of her. 

After weaving through the labyrinth of houses and narrow lanes, they
arrived; both Botan and the girl were greeted with a scene of carnage.
A large, masked swordsman was massacring a group of hapless policemen.

"Weak! Weak! You're all too weak!" the enormous masked man boomed
arrogantly.

"H-He's just too strong. That strength... it truly is the great
Battousai!" whimpered one of the policemen who had lost several fingers
and a piece of his ear.

Much to Botan's surprise, Kaoru leaped in front of the six foot, seven
inch man. 'The girl's insane! She's no match against that big galoot!' 
the ferry-girl mused disapprovingly.

"Hold it right there, Battousai!" the girl beckoned, catching the man's
attention. The man whom the girl thought was Battousai narrowed his
eyes dangerously. From there, no more words were necessary. With swift
and skillful slashes amidst mutual acrimony, they both struck their
respective blows.

The girl leaped clear, skidding to a halt against a wall. She had taken
a cut to the shoulder. The bulky swordsman advanced, trapping her
against the dead end. "Oh no..." both she and Botan said.

Kenshin, from out of nowhere, snatched the girl up and carried her out
of danger. After summoning her enchanted flying oar, Botan soon followed
the pair.

"You're reckless," Kenshin admonished, to which an unseen Botan nodded
to in agreement. The girl was just about to say something when the trio
heard a stifled crack. The vagabond crumpled into a fetal ball, moaning
in agony.

"I must have dislocated my pelvis..." Kenshin said in a pained voice.

"What on earth is wrong with you?!" the girl and the ferry-girl
exclaimed in unison.

The masked man claiming to be Battousai looked at the duo in disgust. "I
am Battousai! Himura Battousai of the Kamiya Kasshin Ryu!" Even as he
left, he continued trumpeting out, "I am the one they call the Hitokiri
Battousai!"

Botan got off her boat paddle and shook her head in what she termed as
'incredulous incredulity'. "It's so obvious that he's _not_ the
Battousai, by the way he keeps on insisting that he is. Talk about
defensive!"

Meanwhile, the kendo girl was just about to run after the man,
screeching, "Wait!" when Kenshin held her back by her ponytail; she
really did screech in pain by then.

"He waited long enough," Kenshin deadpanned. The girl dealt him a rain
of infuriated blows in response. Botan just stood there mutely, not sure
of what to make of the situation.

After recovering from the girl's roughhousing, Kenshin calmly explained
himself. "Chasing a man too far when you're wounded is taking your life
in your own hands. He gave the name of his school, so you can track him
down without all this haste."

The girl glared at Kenshin angrily. "Kamiya Kasshin is _my_ school! He's
been committing these atrocities in our name! Once I get my hands on
him, I'll..."

The vagabond pulled her back again. "I said chasing him too far wouldn't
help, didn't I? But let's leave before the police start asking too many
questions."

Botan watched the pair run nearly out of sight before she followed them
in hot pursuit towards... well, wherever they wanted to go.

In the Kamiya dojo, both Kenshin and Botan studied the wooden name tags
of the people in the school as a servant (introduced to them...
actually, to Kenshin... as Kihei) tended to the kendo girl's wound.

The rurouni read out loud, "Adjutant Master Kamiya Kaoru. And then...
Oro?" He realized that the girl, Kaoru, was the only name on the wall.

Botan sighed. "Finally, the girl has been given a name. It wouldn't do
to call her 'the girl' all the time... Whoops. Perhaps I said too much,"
she sheepishly supposed to no one in particular. 

"We were a small school," Kaoru admitted, "but we had ten students, all
training hard. But two months ago, the street killings began. One by
one, the students left, fearing the name of the Battousai. The
townspeople won't have anything to do with the dojo. Even in the Meiji
era, the name of the Battousai still commands fear."

Kenshin's features became unreadable as Kaoru continued her sob story,
stating, "I don't know why the Battousai would dirty the name of the
Kamiya Kasshin Ryu. If he really were the Battousai. I haven't got the
slightest idea, but if I can't stop him soon--"

"I understand, but you should stop keeping these night watches," Kenshin
patently declared.

Kaoru and Botan stared at the vagabond as one. "Huh?"

"That man is stronger than you by far," was Kenshin's frank reply.

"WHAT?" Kaoru shrieked in a high-pitched whine. "I can handle myself
just fine, thank you!" she protested

"It's an important part of a swordsman's nature to know your own and
your opponent's strength," Kenshin lectured earnestly. "You do
understand what the outcome will be the next time you fight him, right?
The prestige of your school isn't so important that you should wager
your life to protect it. The Kamiya Kasshin Ryu--"

Kaoru interrupted Kenshin with a wave of her hand, much like a student
raising her hand to catch the attention of a preachy and monotonous
teacher. "The Kamiya Kasshin Ryu was brought into the Meiji era by my
father, who survived the violence of the Bakumatsu. My father wasn't a
killer. He fought single-mindedly for his motto, 'the sword that
protects life'. But as a member of the sword-bearing Metropolitan
police, he was sent to the Southwest war half a year ago. The place
where he died was far from the ideal world he hoped for." 

Botan already knew what the girl was going to say next before she even
said it; clearly, Kaoru Kamiya still had her pride to protect. "This man
who calls himself the Hitokiri Battousai has already killed more than
ten people. The name of the Kamiya Kasshin Ryu, the school left to me by
my father, is being degraded by a murderer. But I guess a vagabond like
you wouldn't understand."

There was an uncomfortable pause that all three, no, four of them
felt forever.

Soon after, Kenshin gave Kaoru a winning smile, much to the girl's
bemusement and annoyance. Was he mocking her? "Well, whatever happens,
you can't keep a night watch with your arm. The best thing for you to do
now is to act with caution. If you can't even keep yourself alive, the
ideal of 'the sword that protects life' would be a joke. I'm sure your
honored father wouldn't want his school protected at the cost of his
daughter's life." He got up and excused himself, leaving the room
quietly.

Botan looked intently at the grim Kaoru in askance, even though it was
in every way a useless gesture. To the ferry-girl's surprise, the kendo
girl shifted under her accusing gaze uncomfortably.

Kihei finally finished binding the last of the bandages on Kaoru's
shoulder. "It's all taken care of, Miss Kaoru."

"Thank you, Kihei," Kaoru quietly said, offering the wizened but
corpulent old man a weak, wan smile.

Kihei concernedly advised, "Miss Kaoru, you mustn't let your guard down.
After all, 'vagabond' is just another word for failure. You're too kind
to such people for your own good."

Kaoru bit her lip, nodding somberly as Botan shook her head in dispute
of Kihei's words. "I know. I know..."

***

Back in the present, Kenshin lay unmoving for quite sometime. This was
so until he heard what seemed to be consecutive aftershocks of thunder,
rumbling in the distance. Upon further deliberation, he realized that
these strange sounds were less like thunder, and more like the thudding
hooves of a large animal, like a horse or a bull. 'Strange.'

On the opposite direction from where Fujita went, a heavyset entity
approached the former rurouni. Kenshin raised his head, enough strength
had returned for that, roused from his reverie. He tore his eyes away
from the inane blanket of cold whiteness to look inquiringly at the
forthcoming figure.

It was barely visible, the darkness serving as its cloak of pitch-black
robes. It appeared from the shadows at the edge of the foyer, shambling
towards Kenshin at a pace equal to a fast walk. It was hunched over,
making it hard to tell how large it really was, and he could see none of
its features. It was headed directly towards him.

Kenshin shakily returned to his feet, then grabbed hold and pulled out
the Demon's Sword from the chalky ground. "Who's there?" he called out
to the creature. He had a terrible feeling about this. 

It did not respond. It continued to advance on him at the same even
pace. Its gait was strange and unsettling, an eerie shamble which hinted
at a body horribly warped and twisted. It was quiet as a phantom, darker
than midnight, and it moved with a terrible sort of determination.
Kenshin felt his heart thundering in his chest as he sheathed his
weapon. Talking was apparently pointless, so he opted to stay still and
wait. 

'Even though I have no energy left, I won't waste Fujita's act of
'mercy' on me; I can't risk Yusuke-dono's life again.' He gripped the
hilt of his sword, but his combat posture was just a ruse, a facade; he
had no intention to fight the monster. When he concluded that he had no
more energy left to fight, he meant it. Perhaps this time around,
discretion really was the better part of valor.
 
Regrettably, Kenshin hadn't the time to flee. The attacker had closed
the distance between itself and him with a sudden burst of blinding
speed, lashing out at his head. Even with his lightning reflexes,
Kenshin barely managed to evade the attack. The thing's strike had come
almost too fast for him to see, but he was pretty sure that it wasn't a
normal hand. It was like a paw, or a talon. It was something with claws.

The monstrous attacker advanced on Kenshin, pressing him with a ruthless
barrage of swipes and slashes reminiscent of his feverish attack against
Fujita awhile back. Sometimes, its attacks were so fast that it was hard
to tell how many limbs it had. Now, up close, Kenshin could see its eyes
peering out from beneath its hooded glare. They were sharp and narrow
slits, smoldering with some deep, hellish flame in the pitch-black void
where its face should have been.

'It's not human... It's some kind of demon! A powerful one!' Kenshin's
hakama ripped as he barely dodged another one of its blows.  

He knew he couldn't just keep dodging. The thing seemed tireless, as
tireless as Fujita had been, and he himself was exhausted. He would have
run away if he could, but one false move and the monster would have his
head... literally. After his grueling, back-to-back fights with Genbu
and Fujita, he was surprised that he could still stand. He reckoned that
at the speed it moved it wouldn't be long before it started to tag him
with those claws. He wouldn't know if he could actually hurt it until he
tried...

Kenshin ducked in under one of its swipes and lashed out with a battou-
jutsu strike, his specialty, not holding back an iota of what was left
of his strength. His sword clanged on something twisted and hard, like a
bundle of coiled snakes, alive but almost as hard as a rock. It writhed
under the Youtou Shinnoken's metallic edge, but it also gave. The thing
took a step back, paused for a split-second to recover, then continued 
to press its attack.

'At least I can hurt it a little,' Kenshin assessed, noting balefully
that his sword-ki was still at a minimum level. His strike was
immediately rewarded with a surprising blow that seemed to come directly
from the thing's chest. It caught him in the abdomen, emptying the air
from his lungs in a single gush, and sent him sprawling backwards.  

Kenshin lay unmoving for quite a while, his heaving chest and his
belabored breathing the only indication that he... or rather, Yusuke...
was still alive. 

The creature, for some unfathomable reason, picked that particular
moment to applaud Kenshin's efforts, its mocking, contemptuous claps
echoing in the empty, frosted yard. It then ambled towards a nearby
mound of snow and picked up some sort of person-sized bundle on the
ground. 'What's he got there?' Kenshin absently wondered in between
ragged breaths.

A short and portly demon, resembling a mutant midget of some sort, soon
came into view just as the larger, more horrifying creature cradled the
bundle in its arms like a newborn infant. Thoroughly disturbed, Kenshin
found the whole scene strange, sick, and wrong.

The smaller youkai grinned maliciously at Kenshin, its eyes perfectly
round and seemingly drilling into the spirit guardian's mind as it
glinted a malevolent light. 

Comprehension dawned in Kenshin's eyes. "Y-You!" he mouthed, his voice a
mere gasp.  

"Yes, me." The diminutive one's simpering, fanged smile widened. "Me
and _him_." It turned to its hulking comrade-in-arms. "Do you still have
the girl?" it asked.

Kenshin narrowed his eyes. 'What girl?' To his surprise, the former
rurouni heard the fearsome entity speak at last, its voice so low that
its words were almost garbled beyond recognition. "She's right here."

"Excellent, Iehog. It's always good to be prepared, and nothing says
prepared like a hostage or two." Iehik threw his head back and began to
cackle. It was a crazed, warbling laugh that stretched on for much
longer than should have been possible without needing breath. "Finally,
everything's falling into place. It's about time we took our fate into
our own hands." 

After catching sight of the duo's hostage and recognizing her for who
she really was, Kenshin suddenly didn't feel very tired at all.

***

To be Continued...

Next: More on Kenshin Himura's past.

Iehik: Finally, after seven chapters, our long-awaited plot point
has finally commenced! Now I shall laugh maniacally. WAHAHAHAHA!

Will you look at that? I'm using a 'cold open' in this story. I
usually reserve this style of writing in Shonen, my more 'serious'
work. It seems like Demon's Sword has come up a notch higher in
terms of priority in my eyes. As for this chapter's content beyond
the cold open, w-ell... the critics won't understand, no one will,
they're programmed by the man. ^_^

In case there was any doubt, I use a jumbled hybrid of the Yuyu
Hakusho and Rurouni Kenshin anime and manga (and various other
sources... Hehehe) as my source material.  As a rule, the manga is
the foundation material... though some concepts, like the Power
Level System, has been somewhat upgraded from the original
material. When the anime adds to the fic in a way that I feel is
consistent with the tone of the original, I will consider it as
part of the continuity. Other episodes I will pretend never
happened.

On that note, about the Kaiten Battou-jutsu thing; since, in this
universe, Kenshin died before he could even meet Mr. Shigure (of
the RK anime universe), the vagabond ghost merely _supposes_ that
'Kaiten Battou-jutsu' is a name that Sano might come up with,
given the opportunity. Just a little Rurouni Kenshin TV movie
reference there.

I credit the information surrounding 'Kancho' to Mr. Azrael's
GaijinSmash.net. As for the reference-filled meaning of Sennen
Goroshi, Kancho Nishiki--Tumbong... Heh. 

Oh, and before I forget, in no particular order, the rest of
Randou's stolen techniques:

50. Jagan: Evil Eyes. Yep, _eyes_. As in more than one. Plural.
Not to be confused with Hiei's Jagan, _these_ Jagan were developed
in the Human World by Ban Mido. It is an ability to induce minute-
long hallucinations of Randou's choosing with whomever he makes
direct eye contact with. Incidentally, it's a level-three
technique and the sole upper level skill that Randou used in this
fight (the fake Shun Goku Satsu doesn't count, obviously). A
technique of Ban Mido of Getbackers fame. Since it's a third level
technique, that one move had sapped Randou of all his recently-
acquired strength, FYI.

(I won't be listing the Shun Goku Satsu as part of the numbered
list, simply because Randou didn't really use it.)

Shun Goku Satsu: The Instant Hell Murder. A level-four Ansatsuken
skill from Gouki of Street Fighter fame. A whole different weight
class from all the other techniques, for sure. What happens during
the Shun Goku Satsu is that the user makes his victim go to hell.
The demons in hell will attack the victim even if he's sin-free or
not (they're demons, they'll go at anything). But with truly evil
characters, their past sins will also haunt them on top of the
demons attacking them for that split second. In the story, the
'Raging Demon' which Randou used on Yusuke was just an illusion
created by the Mido-style Jagan.

Finally, here's another random something-something for you to sink
your teeth into: 

"Class-B: Compared to the B+ class, they lack special abilities
and powers. Most of the residents of Makai are of this class.
Roughly 6 million citizens of this class live in Makai." (Source:
Darkstalkers Plot Guide by Saiki [email-masked]')

Disclaimer: Yuyu Hakusho is the rightful property of Yoshihiro
Togashi, Shueisha, Fuji TV and St. Pierrot. Rurouni Kenshin is the
rightful property of Nobuhiro Watsuki and Sony. Don't sue us
please, we are very poor.

Paalam!
Abdiel

Send instant messages to your online friends http://uk.messenger.yahoo.com 

             .---Anime/Manga Fanfiction Mailing List----.
             | Administrators - [email-masked] |
             | Unsubscribing - [email-masked] |
             |     Put 'unsubscribe' in the subject     |
             `------- http://ffml.zre.ca/faq.txt -------'